GET /authentication_providers

telnyx.com

Summary: List all SSO authentication providers
Operation ID: findAuthenticationProviders
Auth: unknown
Description

Returns a list of your SSO authentication providers.

Parameters (3)

page[number] (integer, query, optional, default: 1)

The page number to load.

Constraints: {'minimum': 1}

page[size] (integer, query, optional, default: 20)

The size of the page.

Constraints: {'minimum': 1, 'maximum': 250}

sort (string, query, optional, default: -created_at)

Specifies the sort order for results. By default sorting direction is ascending. To have the results sorted in descending order add the <code> -</code> prefix.<br/><br/> That is: <ul> <li> <code>name</code>: sorts the result by the <code>name</code> field in ascending order. </li> <li> <code>-name</code>: sorts the result by the <code>name</code> field in descending order. </li> </ul> <br/> If not given, results are sorted by <code>created_at</code> in descending order.

Constraints: {'enum': ['name', '-name', 'short_name', '-short_name', 'active', '-active', 'created_at', '-created_at', 'updated_at', '-updated_at']}

No probe data for this endpoint yet.